# The x11/qt6/qtbase port

## qt6-qtbase-6.6.3p1 – C++ general-purpose toolkit

## Description

    Qt is a cross-platform toolkit for developing applications, mainly GUI-based.

    There's a debug version of the libraries: qt6-debug.

    There are database plugins: qt6-mysql, qt6-postgresql and qt6-sqlite

    People who want to use Qt6 to compile applications outside the ports tree
    should note that Qt6's installation conforms to OpenBSD habits, not Qt's
    recommendations. Accordingly:

    - libs are separated from includes.
    - moc is installed as ${PREFIX}/bin/moc-qt6, in order not to conflict
      with other Qt versions.
    - uic is installed as ${PREFIX}/bin/uic-qt6

    Generally, it's just a question of invoking:

    env MOC=moc-qt6 UIC=uic-qt6 configure \
    	--with-qt-includes=${PREFIX}/include/X11/qt6 \
    	--with-qt-libraries=${PREFIX}/lib/qt6

    ... or, to force MOC/UIC in your make/gmake invocation:

      make MOC=moc-qt6 UIC=uic-qt6

    will override the Makefile contents.

WWW: https://www.qt.io/

Multi-packages
  qt6-qtbase-6.6.3p1 qt6-global-6.6.3p0 qt6-mysql-6.6.3p0 qt6-postgresql-6.6.3p0
Only for arches
  aarch64 alpha amd64 arm hppa i386 mips64 mips64el powerpc powerpc64 riscv64 sh sparc64
Categories:
  devel lang/python x11

## Library dependencies

- archivers/brotli
- archivers/zstd
- databases/iodbc
- databases/sqlite3
- devel/gettext,-runtime
- devel/harfbuzz
- devel/pango
- devel/pcre2
- graphics/cairo
- graphics/gdk-pixbuf2
- math/double-conversion
- net/libproxy
- print/cups,-libs
- security/libb2
- textproc/icu4c
- x11/dbus
- x11/gnome/at-spi2-core
- x11/gtk+3
- x11/xkbcommon

## Build dependencies

- STEM->=5.4.0:archivers/xz
- devel/cmake
- devel/ninja
- graphics/vulkan-loader
- lang/python/3
- x11/gnome/at-spi2-core

## Run dependencies

- x11/gnome/at-spi2-core